[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TDBGridColumns.HasDesignColumns

HasDesignColumns indicates if the collection contains any items explicitly added at design-time.

## Declaration

Source position: dbgrids.pas line 306

`protected function TDBGridColumns.HasDesignColumns: Boolean;`

## Function result

True an item has its IsDesignColumn property set.

## Description

HasDesignColumns is a Boolean function that indicates if the collection contains any items explicitly added at design-time. HasDesignColumns returns True if Items contains a TColumn instance with its IsDesignColumn property set.

## See also

TDBGridColumns.Items |  | Items provides indexed access to columns added to the collection.
TDBGridColumns.ResetColumnsOrder |  | ResetColumnsOrder arranges columns in the collection to the specified order.
TColumn.IsDesignColumn |  | Indicates if the column was added at design-time.